baz_non_blocker.h File Reference
`#include <gnuradio/sync_block.h>`
Include dependency graph for baz_non_blocker.h:

Go to the source code of this file.

## Classes

class | baz_non_blocker
| square2 a stream of floats. More...

## Functions

BAZ_API baz_non_blocker_sptr | baz_make_non_blocker (int item_size, bool blocking=false)
| Return a shared_ptr to a new instance of baz_non_blocker.

## Variables

class BAZ_API | baz_non_blocker

## Function Documentation

## baz_make_non_blocker()

BAZ_API baz_non_blocker_sptr baz_make_non_blocker | ( | int | item_size,
|  | bool | blocking = `false`
| ) |  |

Return a shared_ptr to a new instance of baz_non_blocker.

To avoid accidental use of raw pointers, baz_non_blocker's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

## Variable Documentation

## baz_non_blocker

class BAZ_API baz_non_blocker